Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.cookies
Interface EditorCookie.Observable

All Superinterfaces:
  EditorCookie, LineCookie, Node.Cookie

Enclosing interface:
  EditorCookie

    public static interface EditorCookie.Observable

extends EditorCookie

The interface extends EditorCookie and allows observing changes in state of the text document.

Since:
  3.40

Nested Class Summary

Nested classes/interfaces inherited from interface org.openide.cookies.EditorCookie
`EditorCookie.Observable`

Field Summary
`static String` | `PROP_DOCUMENT` This property is fired when the result of `EditorCookie.getDocument()` has changed.
`static String` | `PROP_MODIFIED` This property is fired when modified state of the document has changed.
`static String` | `PROP_OPENED_PANES` This property is fired when list of opened panes for the document has changed.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Add a PropertyChangeListener to the listener list.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Remove a PropertyChangeListener from the listener list.

Methods inherited from interface org.openide.cookies.EditorCookie
`close, getDocument, getOpenedPanes, isModified, open, openDocument, prepareDocument, saveDocument`

Methods inherited from interface org.openide.cookies.LineCookie
`getLineSet`

Field Detail

### PROP_DOCUMENT

    static final String PROP_DOCUMENT

  This property is fired when the result of `EditorCookie.getDocument()` has changed. Typically it is after closing the editor.

  See Also:
    Constant Field Values

### PROP_MODIFIED

    static final String PROP_MODIFIED

  This property is fired when modified state of the document has changed. See `EditorCookie.isModified()`.

  See Also:
    Constant Field Values

### PROP_OPENED_PANES

    static final String PROP_OPENED_PANES

  This property is fired when list of opened panes for the document has changed. See `EditorCookie.getOpenedPanes()`.

  See Also:
    Constant Field Values

Method Detail

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener l)

  Add a PropertyChangeListener to the listener list.

  Parameters:
    `l` - the PropertyChangeListener to be added

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener l)

  Remove a PropertyChangeListener from the listener list.

  Parameters:
    `l` - the PropertyChangeListener to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.